Class InstanceGroupList.Builder (1.88.0)

public static final class InstanceGroupList.Builder extends GeneratedMessageV3.Builder<InstanceGroupList.Builder> implements InstanceGroupListOrBuilder

A list of InstanceGroup resources.

Protobuf type google.cloud.compute.v1.InstanceGroupList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllItems(Iterable<? extends InstanceGroup> values)

public InstanceGroupList.Builder addAllItems(Iterable<? extends InstanceGroup> values)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Name Description
values Iterable<? extends com.google.cloud.compute.v1.InstanceGroup>
Returns
Type Description
InstanceGroupList.Builder

addItems(InstanceGroup value)

public InstanceGroupList.Builder addItems(InstanceGroup value)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Name Description
value InstanceGroup
Returns
Type Description
InstanceGroupList.Builder

addItems(InstanceGroup.Builder builderForValue)

public InstanceGroupList.Builder addItems(InstanceGroup.Builder builderForValue)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Name Description
builderForValue InstanceGroup.Builder
Returns
Type Description
InstanceGroupList.Builder

addItems(int index, InstanceGroup value)

public InstanceGroupList.Builder addItems(int index, InstanceGroup value)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameters
Name Description
index int
value InstanceGroup
Returns
Type Description
InstanceGroupList.Builder

addItems(int index, InstanceGroup.Builder builderForValue)

public InstanceGroupList.Builder addItems(int index, InstanceGroup.Builder builderForValue)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameters
Name Description
index int
builderForValue InstanceGroup.Builder
Returns
Type Description
InstanceGroupList.Builder

addItemsBuilder()

public InstanceGroup.Builder addItemsBuilder()

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Returns
Type Description
InstanceGroup.Builder

addItemsBuilder(int index)

public InstanceGroup.Builder addItemsBuilder(int index)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
InstanceGroup.Builder

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public InstanceGroupList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
InstanceGroupList.Builder
Overrides

build()

public InstanceGroupList build()
Returns
Type Description
InstanceGroupList

buildPartial()

public InstanceGroupList buildPartial()
Returns
Type Description
InstanceGroupList

clear()

public InstanceGroupList.Builder clear()
Returns
Type Description
InstanceGroupList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public InstanceGroupList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
InstanceGroupList.Builder
Overrides

clearId()

public InstanceGroupList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
InstanceGroupList.Builder

This builder for chaining.

clearItems()

public InstanceGroupList.Builder clearItems()

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Returns
Type Description
InstanceGroupList.Builder

clearKind()

public InstanceGroupList.Builder clearKind()

[Output Only] The resource type, which is always compute#instanceGroupList for instance group lists.

optional string kind = 3292052;

Returns
Type Description
InstanceGroupList.Builder

This builder for chaining.

clearNextPageToken()

public InstanceGroupList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
InstanceGroupList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public InstanceGroupList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
InstanceGroupList.Builder
Overrides
public InstanceGroupList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
InstanceGroupList.Builder

This builder for chaining.

clearWarning()

public InstanceGroupList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
InstanceGroupList.Builder

clone()

public InstanceGroupList.Builder clone()
Returns
Type Description
InstanceGroupList.Builder
Overrides

getDefaultInstanceForType()

public InstanceGroupList getDefaultInstanceForType()
Returns
Type Description
InstanceGroupList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems(int index)

public InstanceGroup getItems(int index)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
InstanceGroup

getItemsBuilder(int index)

public InstanceGroup.Builder getItemsBuilder(int index)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Name Description
index int
Returns
Type Description
InstanceGroup.Builder

getItemsBuilderList()

public List<InstanceGroup.Builder> getItemsBuilderList()

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Returns
Type Description
List<Builder>

getItemsCount()

public int getItemsCount()

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Returns
Type Description
int

getItemsList()

public List<InstanceGroup> getItemsList()

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Returns
Type Description
List<InstanceGroup>

getItemsOrBuilder(int index)

public InstanceGroupOrBuilder getItemsOrBuilder(int index)

A list of InstanceGroup resources.

repeated .google.cloud.compute.v1.InstanceGroup items = 100526016;

Parameter
Na